View Issue Details

IDProjectCategoryView StatusLast Update
0001599SUMoBugpublic2013-01-14 21:21
ReporterpoutnikgAssigned ToKyle_Katarn 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformDesktopOSWindows Vista 64OS VersionHome Premium SP2
Product Version3.1.4 
Target VersionFixed in Version3.2 
Summary0001599: Inproper detection of Firefox ESR ( Extended Service Release )
DescriptionSUMO does not distinguish obsolete Firefox versions
and Firefox ESR 10.0.x ( extended support release )

Everybody who has FF 10.0.x has FF ESR and is using FF ESR for the reason.
He is not interested in stable FF 12.x of FF 13, but in FF ESR 10.0.x, or future releases.

FF ESR uses its own ESR update channel, containing just security and bug fixes,
until new majer ESR update is released, cca yearly.

It is never auto updated to normal FF release.
TagsNo tags attached.

Relationships

related to 0001920 resolvedKyle_Katarn SUMO again misidentify Firefox ESR 

Activities

Kyle_Katarn

2012-06-10 11:36

administrator   ~0000861

Please zip and attach its firefox.exe here for analysis

poutnikg

2012-06-10 12:51

reporter   ~0000862

OK, later tomorrow, when I got to work, at home I use FF 13.

Kyle_Katarn

2012-06-10 15:34

administrator   ~0000863

OK thanks !

poutnikg

2012-06-11 10:40

reporter   ~0000864

Added Zipped Firefox.exe ESR 10.0.5

Kyle_Katarn

2012-06-12 21:59

administrator   ~0000867

Thanks !

Kyle_Katarn

2012-06-16 22:47

administrator   ~0000871

Is ESR indicated somewhere with FF in Add/Remove control panel ?

poutnikg

2012-06-16 22:56

reporter   ~0000874

Hmm, I will see On Monday at work.

But things go more complicated.
AFAIK until now the FF kept M.N numbering.

But recently released patch for current last stable is 13.0.1.
What I have said previously about normal versus ESR numbering is not correct.

Kyle_Katarn

2012-06-16 23:10

administrator   ~0000876

I'm currently unable to find anything to distinct ESR from general release.. ;-(

Should anyone have a clue, i'd be happy if you share :)

poutnikg

2012-06-16 23:19

reporter   ~0000879

Last edited: 2012-06-17 07:44

View 3 revisions

A little trick:

"C:\Program Files (x86)\Mozilla Firefox\defaults\pref\channel-prefs.js"

//@line 2 "e:\builds\moz2_slave\rel-m-rel-w32-bld\build\browser\app\profile\channel-prefs.js"
pref("app.update.channel", "release");

This is from Normal FF 13.0.1

I bet there would be some ESR string instead of release.

Edit:
Note that the above may be just default

See also there
"C:\Program Files (x86)\Mozilla Firefox\update-settings.ini"

; If you modify this file updates may fail.
; Do not modify this file.

[Settings]
ACCEPTED_MAR_CHANNEL_IDS=firefox-mozilla-release

-------------
See also https://wiki.mozilla.org/Release_Management/Merge_Documentation#Beta-.3ERelease_Merge

-----------------
# edit shipped-locales file if you need to remove some beta locales
# edit confvars.sh:
-ACCEPTED_MAR_CHANNEL_IDS=firefox-mozilla-beta,firefox-mozilla-release
+ACCEPTED_MAR_CHANNEL_IDS=firefox-mozilla-release

-MAR_CHANNEL_ID=firefox-mozilla-beta
+MAR_CHANNEL_ID=firefox-mozilla-release
----------------

poutnikg

2012-06-16 23:25

reporter   ~0000880

http://kb.mozillazine.org/App.update.channel

Possible values and their effects
(The type of build you originally downloaded determines the default value of this pref.)

release All final releases.
esr Special release channel for extended support releases.
beta Betas / release candidates (up to Gecko 2.0 also final releases).
aurora Pre-beta
nightly All nightly builds.
default No updates.

poutnikg

2012-06-17 07:36

reporter   ~0000881

Last edited: 2012-06-17 07:36

View 2 revisions

It is possible, that internally the executable are not to set
for belonging to either of update channels,
that they are just particular FF version.

The update mechanism may decide according to channel configuration,
what versions belong to which channel and what versions follow, if any new.

Issue History

Date Modified Username Field Change
2012-06-10 11:24 poutnikg New Issue
2012-06-10 11:29 Kyle_Katarn Assigned To => Kyle_Katarn
2012-06-10 11:29 Kyle_Katarn Status new => acknowledged
2012-06-10 11:36 Kyle_Katarn Note Added: 0000861
2012-06-10 11:36 Kyle_Katarn Status acknowledged => feedback
2012-06-10 12:51 poutnikg Note Added: 0000862
2012-06-10 12:51 poutnikg Status feedback => assigned
2012-06-10 15:34 Kyle_Katarn Note Added: 0000863
2012-06-11 10:40 poutnikg File Added: firefox.zip
2012-06-11 10:40 poutnikg Note Added: 0000864
2012-06-12 21:59 Kyle_Katarn Note Added: 0000867
2012-06-16 22:47 Kyle_Katarn Note Added: 0000871
2012-06-16 22:56 poutnikg Note Added: 0000874
2012-06-16 23:10 Kyle_Katarn Note Added: 0000876
2012-06-16 23:10 Kyle_Katarn Status assigned => feedback
2012-06-16 23:19 poutnikg Note Added: 0000879
2012-06-16 23:19 poutnikg Status feedback => assigned
2012-06-16 23:22 poutnikg Note Edited: 0000879 View Revisions
2012-06-16 23:25 poutnikg Note Added: 0000880
2012-06-17 07:36 poutnikg Note Added: 0000881
2012-06-17 07:36 poutnikg Note Edited: 0000881 View Revisions
2012-06-17 07:44 poutnikg Note Edited: 0000879 View Revisions
2012-06-17 08:41 Kyle_Katarn File Deleted: firefox.zip
2012-06-17 08:51 Kyle_Katarn Status assigned => resolved
2012-06-17 08:51 Kyle_Katarn Fixed in Version => 3.2
2012-06-17 08:51 Kyle_Katarn Resolution open => fixed
2013-01-14 21:21 Kyle_Katarn Relationship added related to 0001920